package com.jeesharp.business.modules.mall.service;

import com.jeesharp.business.modules.mall.entity.MallBargainActivity;
import com.jeesharp.business.modules.mall.vo.MallBargainActivityInfoVO;
import com.jeesharp.business.modules.mall.vo.MallBargainActivityListVO;
import com.jeesharp.business.modules.mall.vo.MallBargainActivityQueryVO;
import com.jeesharp.framework.pojo.Page;
import com.jeesharp.framework.pojo.query.PageRespVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.List;

/**
 * 砍价活动 Service 接口
 */
public interface MallBargainActivityService extends BaseInterface<MallBargainActivity, MallBargainActivityQueryVO> {

    MallBargainActivityInfoVO getActivity(String id);

    PageRespVO<MallBargainActivityListVO> findActivityPage(Page<MallBargainActivity> page, MallBargainActivityQueryVO query);

    void createActivity(MallBargainActivity entity);

    void updateActivity(MallBargainActivity entity);
List<MallBargainActivity> getActiveActivities();

    MallBargainActivity getBySkuId(String skuId);
}
